<?php
declare(strict_types=1);

namespace App\Entity\Core;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\Get;
use ApiPlatform\Metadata\GetCollection;
use App\Repository\Core\NotificationRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ApiResource(
    operations: [
        new Get(),
        new GetCollection(
            paginationMaximumItemsPerPage: 20,
            paginationClientItemsPerPage: true,
            order: ['id' => 'DESC']
        )
    ]
)]
//#[Auditable]
#[ORM\Entity]
class Tips extends AbstractInformation
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }
}
